﻿using MusiLib.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MusiLib.Model
{
    public class Manager
    {
        public List<Utilisateur> utilisateurs {  get; private set; }
        public List<Partition> partitions {  get; private set; }

        public Manager() {
            utilisateurs = new List<Utilisateur>(); 
            partitions = new List<Partition>();
        }

        public void ajouterUtilisateur(Utilisateur utilisateur)
        {
            utilisateurs.Add(utilisateur);
        }

        public void ajouterPartition(Partition partition)
        {
            partitions.Add(partition);
        }


        public void chargerDonnees()
        {
            Utilisateur kevin = new Utilisateur("Kevin");
            Utilisateur michel = new Utilisateur("Michel");
            ajouterUtilisateur(kevin);
            ajouterUtilisateur(michel);

            Partition amazing_grace = new Partition("Amazing Grace", "John Newton", 1, "Amazing Grace est l'un des cantiques chrétiens les plus célèbres dans le monde anglophone. La première publication des paroles date de 1779. Associé à diverses mélodies au fil des années, il est aujourd'hui interprété sur la musique de New Britain", "piano");
            Partition au_clair_de_la_lune = new Partition("Au clair de la lune", "Édouard-Léon Scott de Martinville", 1, "Au clair de la lune est une chanson populaire française dont la mélodie, très caractéristique, ainsi que les paroles — surtout celles du premier couplet — sont si familières qu'elles ont fait l'objet d'innombrables citations, adaptations, parodies, pastiches, etc.", "piano");
            ajouterPartition(amazing_grace);
            ajouterPartition(au_clair_de_la_lune);
            
        }
    }
}
